Constants (Apache Tomcat 9.0.22 API Documentation)

org.apache.catalina.authenticator

## Class Constants

- java.lang.Object
- - org.apache.catalina.authenticator.Constants

-     public class Constants
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_JAAS_CONF`
    `static java.lang.String` | `DEFAULT_KRB5_CONF`
    `static java.lang.String` | `DEFAULT_LOGIN_MODULE_NAME`
    `static java.lang.String` | `FORM_ACTION`
    `static java.lang.String` | `FORM_PASSWORD`
    `static java.lang.String` | `FORM_PRINCIPAL_NOTE` The previously authenticated principal (if caching is disabled).
    `static java.lang.String` | `FORM_REQUEST_NOTE` The original request information, to which the user will be redirected if authentication succeeds.
    `static java.lang.String` | `FORM_USERNAME`
    `static java.lang.String` | `JAAS_CONF_PROPERTY`
    `static java.lang.String` | `KRB5_CONF_PROPERTY`
    `static java.lang.String` | `REQ_JASPIC_SUBJECT_NOTE`
    `static java.lang.String` | `REQ_SSOID_NOTE` The notes key to track the single-sign-on identity with which this request is associated.
    `static java.lang.String` | `SESS_PASSWORD_NOTE` The notes key for the password used to authenticate this user.
    `static java.lang.String` | `SESS_USERNAME_NOTE` The notes key for the username used to authenticate this user.
    `static java.lang.String` | `SINGLE_SIGN_ON_COOKIE`
    `static java.lang.String` | `SPNEGO_METHOD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SPNEGO_METHOD

          public static final java.lang.String SPNEGO_METHOD

      See Also:
        Constant Field Values

    - #### FORM_ACTION

          public static final java.lang.String FORM_ACTION

      See Also:
        Constant Field Values

    - #### FORM_PASSWORD

          public static final java.lang.String FORM_PASSWORD

      See Also:
        Constant Field Values

    - #### FORM_USERNAME

          public static final java.lang.String FORM_USERNAME

      See Also:
        Constant Field Values

    - #### KRB5_CONF_PROPERTY

          public static final java.lang.String KRB5_CONF_PROPERTY

      See Also:
        Constant Field Values

    - #### DEFAULT_KRB5_CONF

          public static final java.lang.String DEFAULT_KRB5_CONF

      See Also:
        Constant Field Values

    - #### JAAS_CONF_PROPERTY

          public static final java.lang.String JAAS_CONF_PROPERTY

      See Also:
        Constant Field Values

    - #### DEFAULT_JAAS_CONF

          public static final java.lang.String DEFAULT_JAAS_CONF

      See Also:
        Constant Field Values

    - #### DEFAULT_LOGIN_MODULE_NAME

          public static final java.lang.String DEFAULT_LOGIN_MODULE_NAME

      See Also:
        Constant Field Values

    - #### SINGLE_SIGN_ON_COOKIE

          public static final java.lang.String SINGLE_SIGN_ON_COOKIE

    - #### REQ_SSOID_NOTE

          public static final java.lang.String REQ_SSOID_NOTE

      The notes key to track the single-sign-on identity with which this request is associated.
      See Also:
        Constant Field Values

    - #### REQ_JASPIC_SUBJECT_NOTE

          public static final java.lang.String REQ_JASPIC_SUBJECT_NOTE

      See Also:
        Constant Field Values

    - #### SESS_PASSWORD_NOTE

          public static final java.lang.String SESS_PASSWORD_NOTE

      The notes key for the password used to authenticate this user.
      See Also:
        Constant Field Values

    - #### SESS_USERNAME_NOTE

          public static final java.lang.String SESS_USERNAME_NOTE

      The notes key for the username used to authenticate this user.
      See Also:
        Constant Field Values

    - #### FORM_PRINCIPAL_NOTE

          public static final java.lang.String FORM_PRINCIPAL_NOTE

      The previously authenticated principal (if caching is disabled).
      See Also:
        Constant Field Values

    - #### FORM_REQUEST_NOTE

          public static final java.lang.String FORM_REQUEST_NOTE

      The original request information, to which the user will be redirected if authentication succeeds.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Constants

          public Constants()

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.